Retrieves the value behind the applicable {@link ValueDefinition} for the given key

Retrieves the value behind the applicable {@link ValueDefinition} for the given key

Retrieves the value behind the applicable {@link ValueDefinition} for the given key, value and the scope of the current request (System or Tenant). Based on the type of the definition it could retrieve the value from an external system or return a statically value. Value definitions marked as deleted (see {@link ValueDefinition#isDeleted()}) also looked up for value retrieval.

Request
URI
POST
https://{api_host}/advanced-designer-service/api/valueDefinitions/key/{key}/value
COPY
Path Parameters
string
key
Required

The key of the persisted ValueDefinition object


Request Body
literalMap of type(s) application/json
Optional
{
    "entries": [
        {
            "key": "string"
        }
    ]
}
entries
Optional

entries

Responses
200

successful operation

Operation doesn't return any data structure